Metacat - Bug #6007

Registry uses filename from upload form to save in temporary directory
06/21/2013 12:22 PM - ben leinfelder

Status: Resolved Start date: 06/21/2013
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: registry Estimated time: 0.00 hour
Target version: 2.1.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

This can cause collisions when a room of 22 people all submit a datapackage with the same data file name....

The registry should ensure that filenames it uses to write in a shared directory are unique.

Related issues:
Related to Metacat - Bug #6008: Metacat servlet API upload() method uses user... Closed 06/21/2013

History

#1 - 06/21/2013 05:02 PM - ben leinfelder

| deployed the changes on dev2.nceas for testing. Feel pretty good about them - using File::Temp to manager unique uploads on the server.
One thing to note: you will see this mangled upload name in the submission review stage, but when you finalize the registration the original filename
will be restored and used in the EML metadata as well as the xml_documents table (used for file downloads).

#2 - 06/25/2013 02:43 PM - ben leinfelder
- Status changed from New to Resolved

- Target version set to 2.1.0

| deployed this in KNB today (June 25th, 2013). This was not part of an official release but is in the code for 2.1.x or 2.0.8 (if that is ever needed).

04/19/2024 1/1



http://www.tcpdf.org

